using RPGM.Core;
using RPGM.Gameplay;
using RPGM.UI;
using UnityEngine;


namespace RPGM.Gameplay
{
    /*
    /// <summary>
    /// Marks a gameObject as a collectable item.
    /// </summary>
    [ExecuteInEditMode]
    [RequireComponent(typeof(SpriteRenderer), typeof(CircleCollider2D))]
    */
    
    public class ShopItem
    {
        public Sprite sprite;
        public string name;
        public int count = 1;
        public int price = 0;
        GameModel model = Schedule.GetModel<GameModel>();

        public void OnTriggerEnter2D(Collider2D collider)
        {
            MessageBar.Show($"You'r buing someting");
            Debug.Log("Store is loading...");
            for (int i=0;i<5;i++)
            {
                ShopItem item = new ShopItem();
                item.name = "Hammer "+i;
                //just temporary
                item.sprite = Resources.LoadAll<Sprite>("Items")[0];//[Mathf.RoundToInt(Random.Range(0f,8f))];
                item.price = Mathf.RoundToInt(Random.Range(0f,25f));
                model.AddShopItem(item);
            }
            model.ShowStore();
            UserInterfaceAudio.OnCollect();
        }
    }
}